## python-websockets 15.0.1

=== docs/requirements.txt ===
furo
sphinx
sphinx-autobuild
sphinx-copybutton
sphinx-inline-tabs
sphinxcontrib-spelling
sphinxcontrib-trio
sphinxext-opengraph
werkzeug

=== tests/requirements.txt ===
python-socks[asyncio]
mitmproxy

## python-websockets 3.0

=== debian/changelog ===
python-websockets (3.0-1) unstable; urgency=medium

  * New upstream release
  * Minimum Python3 version bumped to 3.5
    (note to backporters: remove websockets/py35_client.py if you want this
     module for 3.3 or 3.4)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 27 Dec 2015 10:24:29 +0100

python-websockets (2.6-1) unstable; urgency=low

  * Initial release (closes: #798397)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 08 Sep 2015 21:03:37 +0200

=== debian/control ===
Source: python-websockets
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.6
Homepage: https://github.com/aaugustin/websockets
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-websockets.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-websockets.git
X-Python3-Version: >= 3.5

Package: python3-websockets
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: implementation of the WebSocket Protocol (RFC 6455)
 websockets is a library for developing WebSocket servers and clients in
 Python. It implements RFC 6455 with a focus on correctness and simplicity.
 It passes the Autobahn Testsuite.
 .
 Built on top of Python's asynchronous I/O support introduced in PEP 3156,
 it provides an API based on coroutines, making it easy to write highly
 concurrent applications.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=websockets
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/websockets/websockets-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-websockets 3.2

=== debian/changelog ===
python-websockets (3.2-2) unstable; urgency=medium

  * set WEBSOCKETS_TESTS_TIMEOUT_FACTOR to 100 to avoid FTBFS on slower
    buildd (closes: 854335)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 14 Mar 2017 13:21:33 +0100

python-websockets (3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream release
  * Cherry pick github's pull 131 to fix tests (closes: 828901, 829726)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Nov 2016 22:12:07 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-setuptools,
 Standards-Version: 3.9.6
 Homepage: https://github.com/aaugustin/websockets
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-websockets.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-websockets.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-websockets.git
 X-Python3-Version: >= 3.5

## python-websockets 3.3

=== debian/changelog ===
python-websockets (3.3-1) unstable; urgency=medium

  * New upstream release
    - fixes tests on Python 3.5.2, patch removed
  * Add a patch to correctly recognize README.rst's encoding while opening it
    in setup.py
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 30 Jun 2017 14:45:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: https://github.com/aaugustin/websockets
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-websockets.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-websockets.git

## python-websockets 3.4

=== debian/changelog ===
python-websockets (3.4-1) unstable; urgency=medium

  * New upstream release
    - setup.py's encoding patch removed (fixed upstream)
  * Standards-Version bumped to 4.1.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 29 Sep 2017 12:02:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/aaugustin/websockets
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-websockets.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-websockets.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #! /usr/bin/make -f
+
+# extend timeout on slow buildd to fix FTBFS
+# see https://github.com/aaugustin/websockets/issues/163
+export WEBSOCKETS_TESTS_TIMEOUT_FACTOR=100
 
 export PYBUILD_NAME=websockets
 %:

## python-websockets 6.0

=== debian/changelog ===
python-websockets (6.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - This release is compatible with Python 3.7. (Closes: #904650)

 -- Adrian Bunk <bunk@debian.org>  Wed, 12 Sep 2018 18:27:44 +0300

python-websockets (4.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 16 May 2018 14:20:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                python3-setuptools,
 Standards-Version: 4.1.1
 Homepage: https://github.com/aaugustin/websockets
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-websockets.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-websockets.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-websockets.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-websockets
 X-Python3-Version: >= 3.5
 
 Package: python3-websockets

## python-websockets 7.0

=== debian/changelog ===
python-websockets (7.0-1) unstable; urgency=medium

  * New upstream release
  * Add bcep file to ease upgrades from Python 3.5/3.6 (for py35 and py36
    submodules)
  * Standards-Version bumped to 4.3.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 Dec 2018 20:28:58 +0100

python-websockets (6.0-1) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * New upstream release.
    + The new release is compatible with Python 3.7.  Closes: #904650

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.2.1.
    + Set Rules-Requires-Root:no.
  * Bump debhelper compat level to 11.
  * Set an explicit Testsuite:autopkgtest-pkg-python.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 Sep 2018 12:02:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper-compat (= 11), dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/aaugustin/websockets
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-websockets.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-websockets

## python-websockets 8.1

=== debian/changelog ===
python-websockets (8.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Remove ancient X-Python3-Version field.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 31 Dec 2019 18:02:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Build-Depends: debhelper-compat (= 11), dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/aaugustin/websockets
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-websockets.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-websockets
-X-Python3-Version: >= 3.5
 
 Package: python3-websockets
 Architecture: all

## python-websockets 9.1

=== debian/changelog ===
python-websockets (9.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Piotr Ożarowski ]
  * New upstream release
    - fixes CVE-2021-33880 (closes: 989561)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Aug 2021 20:13:45 +0200

## python-websockets 10.2

=== debian/changelog ===
python-websockets (10.2-1) unstable; urgency=medium

  * New upstream release
    - supports Python 3.10 (closes: 1008598)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 29 Mar 2022 11:52:05 +0200

## python-websockets 10.4

=== debian/changelog ===
python-websockets (10.4-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Dec 2022 13:08:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 11), dh-python,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 12), dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/aaugustin/websockets
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-websockets.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-websockets
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-websockets.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-websockets
 
 Package: python3-websockets
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 export PYBUILD_NAME=websockets
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	http_proxy= https_proxy= dh_auto_test

## python-websockets 13.1

=== debian/changelog ===
python-websockets (13.1-2) unstable; urgency=medium

  * Bump WEBSOCKETS_TESTS_TIMEOUT_FACTOR to 200 during build (to fix s390x
    timeout)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 14 Oct 2024 10:53:51 +0200

python-websockets (13.1-1) unstable; urgency=medium

  * New upstream release
  * Build newly introduced extension
  * Architecture changed from all to any (due to extension)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 27 Sep 2024 15:50:51 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # extend timeout on slow buildd to fix FTBFS
 # see https://github.com/aaugustin/websockets/issues/163
-export WEBSOCKETS_TESTS_TIMEOUT_FACTOR=100
+export WEBSOCKETS_TESTS_TIMEOUT_FACTOR=200
 
 export PYBUILD_NAME=websockets
 %:

## python-websockets 14.1

=== debian/changelog ===
python-websockets (14.1-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:36:49 +0000

python-websockets (14.1-1) unstable; urgency=medium

  * New upstream release
  * Change WEBSOCKETS_TESTS_TIMEOUT_FACTOR back to 100 (closes: 1085279)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 18 Nov 2024 10:44:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python,
-               python3-all,
+               python3-all-dev,
                python3-setuptools,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -14,8 +14,11 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-websockets
 
 Package: python3-websockets
-Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: implementation of the WebSocket Protocol (RFC 6455)
  websockets is a library for developing WebSocket servers and clients in
  Python. It implements RFC 6455 with a focus on correctness and simplicity.

## python-websockets 15.0.1

=== debian/changelog ===
python-websockets (15.0.1-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:15:53 +0000

python-websockets (15.0.1-1) unstable; urgency=medium

  * New upstream release
  * Add python3-werkzeug to Build-Depends

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Apr 2025 09:25:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 12), dh-python,
                python3-all-dev,
                python3-setuptools,
+               python3-werkzeug,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/aaugustin/websockets/tags .*/([\d\.]+)\.tar\.(?:gz|bz2|xz)
